Index: lexer.l
===================================================================
RCS file: /cvsroot/bogofilter/bogofilter/lexer.l,v
retrieving revision 1.30
diff -u -r1.30 lexer.l
--- lexer.l	11 Nov 2002 00:41:16 -0000	1.30
+++ lexer.l	24 Nov 2002 15:57:54 -0000
@@ -57,7 +57,7 @@
 char *yylval;
 static char alt_text[MAXTOKENLEN];
 static int past_header;
-static int yyinput(char *buf, int max_size);
+static int yyinput(unsigned char *buf, int max_size);
 
 %}
 
@@ -238,7 +238,7 @@
 {MIME_BOUNDARY}(--)?$				{return (BOUNDARY);}
 
 {IPADDR}					{return(TOKEN);}
-[^[:blank:][:cntrl:][:digit:][:punct:]][^][:blank:]<>;=():&%$#@!+|/\\{}^\"?\*,[:cntrl:][]+[^[:blank:][:punct:][:cntrl:]]	{return(TOKEN);} 
+[^[:blank:][:cntrl:][:digit:][:punct:]][^][:blank:]<>;=():&%$#@!+|/\\{}^\"?\*,[:cntrl:][]+[^[:blank:][:punct:][:cntrl:]]	{return(TOKEN);}
 .						;
 ^\n						{past_header = 1; /* eat token */}
 \n						;
@@ -268,7 +268,7 @@
 	return(cp - buf);
 }
 
-static int yyinput(char *buf, int max_size)
+static int yyinput(unsigned char *buf, int max_size)
 /* input getter for the scanner */
 {
     int returned;
@@ -322,6 +322,13 @@
 	*(buf + returned - 1) = '\n';
     }
 
+    while (*buf != '\0') {
+	int ch = *buf;
+	if (ch == 0x92) *buf = '\'';	/* convert 0x92 to apostrophe      */
+	if (ch == 0xA0) *buf = ' ';	/* convert no-break space to space */
+	buf += 1;
+    }
+			   
     return(returned == -1 ? YY_NULL : returned);
 }
 
